%define name	4stAttack
%define version	2.1.4
%define release	%mkrel 8

Summary:	Connect-four for pygame
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Games/Boards
License:	GPL
URL:		http://forcedattack.sourceforge.net
Source:		http://belnet.dl.sourceforge.net/sourceforge/forcedattack/%{name}-%{version}.tar.bz2
Source2:	%{name}-icons.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	pygame >= 1.5.3
BuildArch:	noarch

%description
4stAttack is a game in which you have to try to out-smart your opponent.
The goal of the game is to connect four of stones in  a	 straight  line.
This can be horizontaly, vertically or diagonally.

This rpm works with the portable pygame game-engine.


%prep
%setup -q
%setup -q -T -D -a2

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
cp -R *  $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#icon
install -D -m644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# Lets make a wrapper.
mkdir -p %{buildroot}%{_bindir}
cat << EOF > %{buildroot}%{_bindir}/%{name}
#!/bin/sh
cd %{_prefix}/games/%{name}

if [ ! -f ~/.%{name} ]; then
    cp settings.ini ~/.%{name} || exit 1
fi

%{__python} 4stattack.py -ini ~/.%{name}
EOF

# Menu entry
install -m755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="More Applications/Games/Boards"\
title="%{name}"\
longtitle="%{summary}"\
command="%{name}"\
iicon="%{name}.png" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Connect-four for pygame
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Boards;Game;BoardGame;
EOF


%post
%{update_menus}
%{make_session}

%postun
%{clean_menus}
%{update_menus}
%{make_session}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt README.txt
%dir %{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}/*

%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
#
%defattr(755,root,root,755)
%{_bindir}/%{name}




%changelog

* Fri Mar 16 2007 Claudio Matsuoka <claudio@mandriva.com> 2.1.4-8mdv2007.1
+ Revision: 145197
- Forced upgrade to test bugzilla product update.
- Import 4stAttack

* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.4-7mdv2007.0
- XDG

* Mon Jan 02 2006 Lenny Cartier <lenny@mandrakesoft.com> 2.1.4-6mdk
- rebuild

* Thu Jun 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.1.4-5mdk
- rebuild

